Summary: Writes a kickstart description of the current machine.
Name: mkkickstart
Version: 2.3
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: mkkickstart-%{version}.tar.gz
Exclusiveos: Linux
Requires: sed fileutils textutils grep mktemp
BuildArch: noarch
Buildroot: /var/tmp/mkkickstart-root

%description
The mkkickstart program writes a kickstart description from the host
machine.  The kickstart description can then be used, during a CD-ROM
or NFS installation, to automatically build that machine's
configuration of Red Hat Linux on one or more other machines.

Install mkkickstart if you want to use the kickstart method to
automatically install Red Hat Linux.

%changelog
* Tue Aug 15 2000 Matt Wilson <msw@redhat.com>
- put "--bootproto static" in the example instead of "--static"

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- use mktemp to generate temporary files
- use modules.conf instead of conf.modules if modules.conf exists

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- FHS

* Fri Mar  3 2000 Matt Wilson <msw@redhat.com>
- added patch from Jay for 6.2

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Nov 22 1999 Matt Wilson <msw@redhat.com>
- Added patch from Jay Turner to make mkkickstart work with 6.1 and up

* Sun Apr 11 1999 Erik Troan <ewt@redhat.com>
- partition sizes could come out wrong
- dig password out of /etc/shadow
- create auth line

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- small partitions were being set as 0 MB

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- integrated alan's rel 4 fixes

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated spec file

* Wed Feb  3 1999 Bill Nottingham <notting@redhat.com>

- make noarch

* Thu Sep 10 1998 Alan Cox <alan@redhat.com>

- Fix nox

* Thu Aug 27 1998 Alan Cox <alan@redhat.com>

- Made the program output files to the correct format, rather than the 
  original (and buggy) specification

%prep
%setup

%install
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) %{_sbindir}/mkkickstart
%attr(644,root,root) %{_mandir}/man8/mkkickstart.*
